Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class CountingInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              de.grogra.util.CountingInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class CountingInputStream

extends java.io.FilterInputStream

Nested Class Summary
`static interface` | `CountingInputStream.Monitor`

Field Summary
`protected long` | `bytesRead`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`CountingInputStream(java.io.InputStream in)`

Method Summary
`void` | `close()`
`long` | `getBytesRead()`
`void` | `mark(int readlimit)`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`void` | `setMonitor(CountingInputStream.Monitor monitor, long resolution)`
`long` | `skip(long n)`

Methods inherited from class java.io.FilterInputStream
`available, markSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bytesRead

    protected long bytesRead

Constructor Detail

### CountingInputStream

    public CountingInputStream(java.io.InputStream in)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### getBytesRead

    public long getBytesRead()

### mark

    public void mark(int readlimit)

  Overrides:
    `mark` in class `java.io.FilterInputStream`

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### setMonitor

    public void setMonitor(CountingInputStream.Monitor monitor,
                           long resolution)

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD